Name:           php-opencloud
Version:        1.6.0
Release:        1%{?dist}
Summary:        PHP SDK for OpenStack/Rackspace APIs

License:        ASL 2.0 
URL:            http://php-opencloud.com/
Source0:        https://github.com/rackspace/php-opencloud/archive/V%{version}.tar.gz#/%name-%version.tar.gz

BuildRequires:  php-phpunit-PHPUnit

Requires:       php-spl php-curl php-date php-fileinfo php-hash php-json
Requires:       php-pcre

BuildArch:      noarch

%description
The PHP SDK should work with most OpenStack-based cloud deployments, though it
specifically targets the Rackspace public cloud. In general, whenever a
Rackspace deployment is substantially different than a pure OpenStack one, a
separate Rackspace subclass is provided so that you can still use the SDK with
a pure OpenStack instance (for example, see the OpenStack class (for OpenStack)
and the Rackspace subclass).

%package doc
Summary:       Documentation for OpenStack/Rackspace APIs PHP SDK

%description doc
%{summary}


%prep
%setup -q

rm -r scripts


%build
# nothing to build


%install
INSTALL_DIR=%{buildroot}%{_datadir}/php/%{name}
mkdir -p $INSTALL_DIR
cp -a lib $INSTALL_DIR
install -pm 644 composer.json $INSTALL_DIR


%check
phpunit -d date.timezone=UTC .


%files
%doc LICENSE README.md TODO.md
%{_datadir}/php/%{name}

%files doc
%doc samples docs


%changelog
* Tue Dec 31 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 1.6.0-1
- initial package

